#!/usr/bin/perl
#
# arab_htm.pl ############################################################################
#
# Application of atxtowin.pm on HTML documents (using attributed <arabic>..</arabic> tags)
#
# 2000/11/13 by Otakar Smrz, Charles University, Prague ##################################

use Atxtowin;

open(TEX,"<arabtex.htm");
$text=join("",<TEX>);
close(TEX);

open(WIN,">arabwin.htm");

while ($text=~/^(.*?)\<arabic(( [^\<\>]+)*)\>(.*?)\<\/arabic\>(.*)$/s) # mind the RE!
{
 $nose=$1;
 $atts=$2;
 $arab=$4;
 $tail=$5;

 if ($atts eq "") { %par=(); }
 else
 {
  @atts=split(/ /,$atts);
  shift(@atts);
  foreach $one (@atts)
  {
   $one=~/^(.*?)\=\"(.*)\"$/; # mind the RE!
   $par{$1}=$2;
  }
 }

 print WIN $nose;
 print WIN &atxtowin($arab,\%par);
 $text=$tail;
}

print WIN $text;

close(WIN);
